package com.ruoyi.system.service;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.mapper.SysIndicatorsMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@DataSource(value = DataSourceType.SLAVE)
public class SysIndicatorsService {

    @Autowired
    public SysIndicatorsMapper sysIndicatorsMapper;


    public void insertindicators(Integer workordercount, Double profit, String carId,String createdata){
        sysIndicatorsMapper.insertindicators(workordercount, profit, carId,createdata);
    }

    public void updateindicators(Integer workordercount,Double profit,String carId,String createdata){
        sysIndicatorsMapper.updateindicators(workordercount, profit, carId,createdata);
    }

    public Integer selectcarcount(String carId,String createtime){
        return sysIndicatorsMapper.selectcarcount(carId, createtime);
    }

}
